Bug 640485 - Want sub-section in a different page
Want sub-section in a different page
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 21:33 EDT by Shikha
Modified: 2016-04-27 19:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-06 00:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
It has all the files to build the User guide for Beaker (9.20 MB, application/x-gzip)
2010-10-05 21:33 EDT, Shikha
no flags Details

  None (edit)
Description Shikha 2010-10-05 21:33:25 EDT
Created attachment 451782 [details]
It has all the files to build the User guide for Beaker

Description of problem:
I am working on this book and it has a lot of sub-sections under one section. The pages get broken by chapter and sections only. I want them to be broken for sub-section as well.

Version-Release number of selected component (if applicable):
1


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
subsections on one page

Expected results:
subsections on individual pages

Additional info:
Comment 1 Ryan Lerch 2010-10-06 00:16:42 EDT
Hi Shikha,

You can control how publican splits up the pages in the HTML output by adjusting the chunk_section_depth parameter in your publican.cfg. Here is an excerpt from the Publican User Guide (http://docs.fedoraproject.org/en-US/Fedora_Contributor_Documentation/1/html/Users_Guide/) that covers this parameter:

"""
chunk_section_depth
    controls the point at which Publican no longer splits sub-subsections onto a 
    new page when rendering HTML. By default, this value is set to 4. 
"""

Add the following line to your publican config (or tweak the existing parameter if already defined)

"""
chunk_section_depth: 5
"""

and rebuild your book to check how changing this parameter effects your output.

cheers,
ryanlerch

Note You need to log in before you can comment on or make changes to this bug.